Page Summary
-
The MutateCampaigns RPC allows for creating, updating, or removing campaigns and returns their operation statuses.
-
The MutateCampaigns function can throw a variety of errors related to authentication, authorization, bidding, campaigns, and more.
-
Using the MutateCampaigns RPC requires the
https://www.googleapis.com/auth/adwordsOAuth scope for authorization.
Creates, updates, or removes campaigns. Operation statuses are returned.
List of thrown errors: AdxError AuthenticationError AuthorizationError BiddingError BiddingStrategyError CampaignBudgetError CampaignError ContextError DatabaseError DateError DateRangeError DistinctError FieldError FieldMaskError HeaderError IdError InternalError ListOperationError MutateError NewResourceCreationError NotAllowlistedError NotEmptyError NullError OperationAccessDeniedError OperatorError QuotaError RangeError RegionCodeError RequestError ResourceCountLimitExceededError SettingError SizeLimitError StringFormatError StringLengthError UrlFieldError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/campaigns:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
CampaignOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for campaign mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateCampaignResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.